Skip to main content
PUT
/
v1
/
event
/
{eventId}
/
sessions
/
{sessionId}
/
files
/
{fileId}
Update session file metadata
curl --request PUT \
  --url https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/files/{fileId} \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "title": "<string>",
  "assigned_participant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/files/{fileId}"

payload = {
"title": "<string>",
"assigned_participant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
assigned_participant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>",
    "title": "<string>",
    "filename": "<string>",
    "size": 123,
    "mimetype": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "assigned_participant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "assigned_participant_email": "[email protected]",
    "assigned_participant_name": "<string>"
  }
}

Authorizations

x-access-token
string
header
required

Organization API token. Generate from Organization Settings → API Tokens.

Path Parameters

eventId
integer
required

Event ID

sessionId
string<uuid>
required

Session UUID

fileId
string<uuid>
required

Session file (Content) UUID

Body

application/json
title
string | null
assigned_participant_id
string<uuid> | null

Response

OK

data
object

A content attachment (file, document, or media) associated with a session.